For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList tests
      • GETGet test
      • POSTCreate test
      • PUTUpdate test
      • DELDelete test
      • POSTGet test summaries
      • POSTRun tests on agent
        • POSTCreate folder
        • GETGet folder
        • PATCHUpdate folder
        • DELDelete folder
        • POSTBulk move tests to folder
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsTestsTest Folders

Bulk move tests to folder

POST
/v1/convai/agent-testing/bulk-move
POST
/v1/convai/agent-testing/bulk-move
$curl -X POST https://api.elevenlabs.io/v1/convai/agent-testing/bulk-move \
> -H "Content-Type: application/json" \
> -d '{
> "entity_ids": [
> "test_9876543210abcdef",
> "folder_1234567890fedcba",
> "test_abcdef1234567890"
> ],
> "move_to": "folder_1122334455667788"
>}'
1{}
Moves multiple tests or folders from one folder to another.
Was this page helpful?
Previous

Get test invocation

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
entity_idslist of stringsRequired
The IDs of tests or folders to move.
move_tostring or nullOptional
The folder to move the entities to. If not set, the entities will be moved to the root folder.

Response

Tests or folders successfully moved to another folder

Errors

422
Unprocessable Entity Error